Unable to autocomplete right hand side in search

07/04/2013 06:38 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Search   

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On 1.2.0, trying to autocomplete using the search box (at least on the Host page with name = ) fails and an error appears in the logs:

ArgumentError - wrong number of arguments (1 for 0):

  activerecord (3.2.13) lib/active_record/scoping/named.rb:178:in `block (2 levels) in scope'

  activerecord (3.2.13) lib/active_record/scoping/default.rb:41:in `block in unscoped'

  activerecord (3.2.13) lib/active_record/relation.rb:241:in `block in scoping'

  activerecord (3.2.13) lib/active_record/scoping.rb:98:in `with_scope'

  activerecord (3.2.13) lib/active_record/relation.rb:241:in `scoping'

  activerecord (3.2.13) lib/active_record/scoping/default.rb:41:in `unscoped'

  activerecord (3.2.13) lib/active_record/scoping/named.rb:178:in `block in scope'

  scoped_search (2.6.0) lib/scoped_search/auto_complete_builder.rb:207:in `completer_scope'

  scoped_search (2.6.0) lib/scoped_search/auto_complete_builder.rb:202:in `complete_value'

  scoped_search (2.6.0) lib/scoped_search/auto_complete_builder.rb:49:in `build_autocomplete_optio

ns'

  scoped_search (2.6.0) lib/scoped_search/auto_complete_builder.rb:22:in `auto_complete'

  scoped_search (2.6.0) lib/scoped_search/definition.rb:273:in `complete_for'

  lib/foreman/controller/auto_complete_search.rb:5:in `auto_complete_search'

Associated revisions

Revision bae0bea9 - 07/06/2013 03:16 AM - Dominic Cleal

fixes #2747 - scoped search lambda takes one argument

Revision 0e3cf032 - 07/08/2013 07:23 AM - Dominic Cleal

fixes #2747 - scoped search lambda takes one argument

(cherry picked from commit bae0bea90d8096e7a787984b7167d13627da94fd)

Conflicts:

test/unit/host_test.rb

History

#1 - 07/04/2013 09:31 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/767

#2 - 07/08/2013 07:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bae0bea90d8096e7a787984b7167d13627da94fd.
